from django.urls import path
from workouts import views

app_name = "workouts"

urlpatterns = [
    path(
        "routines/",
        views.WorkoutRoutineListView.as_view(),
        name="workout_routine_list",
    ),
    path(
        "routines/<slug:slug>/",
        views.WorkoutRoutineDetailView.as_view(),
        name="workout_routine_detail",
    ),
    path("exercises/", views.ExerciseListView.as_view(), name="exercise_list"),
    path(
        "exercises/<slug:slug>/",
        views.ExerciseDetailView.as_view(),
        name="exercise_detail",
    ),
]
